Sign inGet started

Create a list

POST
/workspaces/{workspaceId}/lists
This endpoint is used to create a new contact list. A contact list can be used to group contacts together.
Paramètres de chemin
workspaceId
string
The unique identifier of the workspace.
Corps de la requête
name
string
obligatoire
Name
description
string
consentType
string
The consent type for the list.
Possible values: single, double
tags
array of string
isProof
boolean
The list is used as a proof list to use it as a test list in campaigns.
Corps de la réponse
id
string
obligatoire
The unique identifier for the list.
name
string
obligatoire
The name of the list.
description
string
obligatoire
The description of the list.
createdAt
string
updatedAt
string
contactCount
integer
The number of contacts in the list.
consentType
string
The consent type for the list.
Possible values: single, double
tags
array of string
The tags associated with the list.
isProof
boolean
The list is used as a proof list to use it as a test list in campaigns.
counter
object
Afficher les attributs enfants
counter.count
integer
obligatoire
counter.updatedAt
string
obligatoire
Exemple de code
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/lists' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Let's establish some of our data that will be used in the following examples:
  • Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352
  • AccessKey: abcd

Create a list

In this example, we're creating a list.
Exemple de code
curl -X POST "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/lists" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "name": "US Customers",
  "description": "US Customers", 
  "consentType": "single",
  "tags": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}'